Bug 68937 - up2date cannot install stronghold
up2date cannot install stronghold
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: up2date (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-16 08:02 EDT by Gary Benson
Modified: 2015-01-07 18:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-06 18:28:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Benson 2002-07-16 08:02:59 EDT
Description of Problem:
Up2date cannot install stronghold over the Red Hat Network;  somewhere along the
line an obsoletes is missed and it reports an unresolvable chain of dependencies.

Version-Release number of selected component (if applicable):
up2date-2.7.61-7.x.2

How Reproducible:
Always

Steps to Reproduce:
1. Install AS, rhn_register the box and subscribe to the stronghold channel
2. Run 'up2date stronghold'

Actual Results:
| Testing package set / solving RPM inter-dependencies...
| There was a package dependency problem.  The message was:
| 
| Unresolvable chain of dependencies:
| php  4.0.6-16                            requires libcurl.so.1

Expected Results:
Stronghold should be installed

Additional Information:
The stronghold channel contains stronghold-php (which obsoletes php) and a newer
version of curl which provides libcurl.so.2.  up2date is picking up the new curl
package from the stronghold channel but ignoring stronghold-php.  There are two
reasons why stronghold-php should be installed: 1) it is an upgrade of the
installed php package, and 2) it is required by the stronghold metapackage.

It is possible to install stronghold, but this requires the user to carefully
uninstall php first (by carefully, I mean removing php and everything which uses
it, without using --nodeps etc).  Once stronghold is installed, they must then
reinstall the things they removed if they still want them, which is a complete mess.
Comment 1 Adrian Likins 2002-07-18 16:49:37 EDT
Please try the versions of up2date in the AS errata tree.

/mnt/redhat/beehive/comps/dist/2.1AS-errata-candidate/up2date/

The errata is in it's qa steps, and I have no idea how long
that will take at this point.
Comment 2 Gary Benson 2002-07-22 10:44:19 EDT
I tried up2date-2.8.14-7.x.2 on a clean AS install and it still didn't work:
same problem.  Also, up2date -p is broken:

# up2date -p
Updating package profile...
Traceback (innermost last):
  File "/usr/sbin/up2date", line 798, in ?
    main()
  File "/usr/sbin/up2date", line 366, in main
    rhnPackageInfo.updatePackageProfile()
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 62, in
updatePackageProfile
    getInstalledPackageList())
NameError: getInstalledPackageList
Comment 6 Joe Orton 2003-09-08 06:12:12 EDT
I can confirm that up2date-2.8.46.3-1.2.1AS (the version issued with the new CA
cert) does install Stronghold correctly; thanks a lot for your work on this Adrian.

Note You need to log in before you can comment on or make changes to this bug.